From 3174c2c63e5cd6a839c04d16f78cb09d64a98a3e Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sun, 7 Aug 2016 18:21:00 +0200
Subject: [PATCH 8/8] i386 removal, part 56/x: Remove old i386 specific manual
 pages.

Shuffle a number of them to share/man/man4 because they didn't seem to
be i386 specific for one reason or another.
---
 share/man/man4/Makefile                |   5 +
 share/man/man4/{man4.i386 => }/digi.4  |   2 +-
 share/man/man4/{man4.i386 => }/io.4    |   5 +-
 share/man/man4/man4.i386/Makefile      |  38 ----
 share/man/man4/man4.i386/ar.4          | 123 -------------
 share/man/man4/man4.i386/cs.4          | 107 ------------
 share/man/man4/man4.i386/cy.4          | 204 ----------------------
 share/man/man4/man4.i386/ed.4          | 161 -----------------
 share/man/man4/man4.i386/ep.4          |  92 ----------
 share/man/man4/man4.i386/ex.4          |  72 --------
 share/man/man4/man4.i386/fe.4          | 309 ---------------------------------
 share/man/man4/man4.i386/glxsb.4       |  97 -----------
 share/man/man4/man4.i386/linux.4       | 124 -------------
 share/man/man4/man4.i386/longrun.4     |  67 -------
 share/man/man4/man4.i386/npx.4         |  95 ----------
 share/man/man4/man4.i386/perfmon.4     | 204 ----------------------
 share/man/man4/man4.i386/pnp.4         | 195 ---------------------
 share/man/man4/man4.i386/pnpbios.4     |  89 ----------
 share/man/man4/man4.i386/pst.4         |  65 -------
 share/man/man4/man4.i386/sbni.4        |  74 --------
 share/man/man4/man4.i386/spic.4        |  60 -------
 share/man/man4/man4.i386/sr.4          | 141 ---------------
 share/man/man4/man4.i386/stl.4         |  86 ---------
 share/man/man4/man4.i386/vx.4          | 108 ------------
 share/man/man4/{man4.i386 => }/tx.4    |   3 +-
 share/man/man4/{man4.i386 => }/viapm.4 |   6 +-
 sys/config/LINT64                      |   4 +-
 27 files changed, 13 insertions(+), 2523 deletions(-)
 rename share/man/man4/{man4.i386 => }/digi.4 (99%)
 rename share/man/man4/{man4.i386 => }/io.4 (93%)
 delete mode 100644 share/man/man4/man4.i386/Makefile
 delete mode 100644 share/man/man4/man4.i386/ar.4
 delete mode 100644 share/man/man4/man4.i386/cs.4
 delete mode 100644 share/man/man4/man4.i386/cy.4
 delete mode 100644 share/man/man4/man4.i386/ed.4
 delete mode 100644 share/man/man4/man4.i386/ep.4
 delete mode 100644 share/man/man4/man4.i386/ex.4
 delete mode 100644 share/man/man4/man4.i386/fe.4
 delete mode 100644 share/man/man4/man4.i386/glxsb.4
 delete mode 100644 share/man/man4/man4.i386/linux.4
 delete mode 100644 share/man/man4/man4.i386/longrun.4
 delete mode 100644 share/man/man4/man4.i386/npx.4
 delete mode 100644 share/man/man4/man4.i386/perfmon.4
 delete mode 100644 share/man/man4/man4.i386/pnp.4
 delete mode 100644 share/man/man4/man4.i386/pnpbios.4
 delete mode 100644 share/man/man4/man4.i386/pst.4
 delete mode 100644 share/man/man4/man4.i386/sbni.4
 delete mode 100644 share/man/man4/man4.i386/spic.4
 delete mode 100644 share/man/man4/man4.i386/sr.4
 delete mode 100644 share/man/man4/man4.i386/stl.4
 delete mode 100644 share/man/man4/man4.i386/vx.4
 rename share/man/man4/{man4.i386 => }/tx.4 (96%)
 rename share/man/man4/{man4.i386 => }/viapm.4 (94%)

diff --git a/share/man/man4/Makefile b/share/man/man4/Makefile
index 338a850..da84ed8 100644
--- a/share/man/man4/Makefile
+++ b/share/man/man4/Makefile
@@ -79,6 +79,7 @@ MAN=	aac.4 \
 	ddb.4 \
 	de.4 \
 	devctl.4 \
+	digi.4 \
 	disc.4 \
 	divert.4 \
 	dm.4 \
@@ -131,6 +132,7 @@ MAN=	aac.4 \
 	inet6.4 \
 	intpm.4 \
 	intro.4 \
+	io.4 \
 	ip.4 \
 	ip6.4 \
 	ipfirewall.4 \
@@ -336,6 +338,7 @@ MAN=	aac.4 \
 	twa.4 \
 	twe.4 \
 	tws.4 \
+	tx.4 \
 	txp.4 \
 	uark.4 \
 	ubsa.4 \
@@ -382,6 +385,7 @@ MAN=	aac.4 \
 	uvscom.4 \
 	vga.4 \
 	vge.4 \
+	viapm.4 \
 	vinum.4 \
 	virtio.4 \
 	virtio_blk.4 \
@@ -541,6 +545,7 @@ MLINKS+=tap.4 if_tap.4
 MLINKS+=ti.4 if_ti.4
 MLINKS+=tl.4 if_tl.4
 MLINKS+=tun.4 if_tun.4
+MLINKS+=tx.4 if_tx.4
 MLINKS+=txp.4 if_txp.4
 MLINKS+=udav.4 if_udav.4
 MLINKS+=upmap.4 kpmap.4
diff --git a/sys/config/LINT64 b/sys/config/LINT64
index 65302f4..4b4a0d4 100644
--- a/sys/config/LINT64
+++ b/sys/config/LINT64
@@ -313,7 +313,7 @@ device		mn	# Munich32x/Falc54 Nx64kbit/sec cards.
 #  Ethernets; it is MANDATORY when a Ethernet device driver is
 #  configured.
 #  The `sppp' pseudo-device serves a similar role for certain types
-#  of synchronous PPP links (like `ar').
+#  of synchronous PPP links.
 #  The `sl' pseudo-device implements the Serial Line IP (SLIP) service.
 #  The `ppp' pseudo-device implements the Point-to-Point Protocol.
 #  The `bpf' pseudo-device enables the Berkeley Packet Filter.  Be
@@ -1104,7 +1104,7 @@ options 	COM_MULTIPORT		#code for some cards with shared IRQs
 device		puc
 
 #
-# Network interfaces: `ed', `is', `lnc'
+# Network interfaces: `is', `lnc'
 #
 # lnc: Lance/PCnet cards (Isolan, Novell NE2100, NE32-VL, AMD Am7990 & Am79C960)
 # sbsh: Granch SBNI16 SHDSL modem PCI adapters
-- 
2.9.2

